TAR(1)

NOM
tar - Version GNU de l'utilitaire de gestion d'archives tar

SYNOPSIS
tar [-] A --catenate --concatenate | c --create | d --diff --compare | --delete | r --append | t --list | --test-label | u --update | x --extract --get [options] [chemin ...]

DESCRIPTION
Tar stocke et extrait des fichiers d'une archive de bande ou de disque.

Le premier argument de tar doit être une fonction : soit une des lettres Acdrtux, soit le nom long équivalent. Une lettre de fonction peut ne pas être préfixée par - et peut être combinée avec d'autres options lettre. Une fonction longue doit être préfixée par --. Certaines options nécessitent un paramètre : sous la forme « lettre », ils doivent être précisés comme arguments séparés, sous la forme « longue », ils doivent être précisés en ajoutant =valeur à l'option.

CHOIX DE LA FONCTION
Fonctions principales :

-A, --catenate, --concatenate
    Ajoute bout à bout plusieurs fichiers tar à une archive.

-c, --create
    Crée une nouvelle archive.

-d, --diff, --compare
    Cherche les différences entre les fichiers indiqués et ceux contenus dans le fichier archive.

--delete
    Supprime du contenu de l'archive (non exploitable avec les lecteurs de bandes !)

-r, --append
    Sauvegarde des fichiers à la fin d'une archive.

-t, --list
    Affiche la liste des fichiers contenus dans une archive.

--test-label
    Teste l'étiquette du volume de l'archive et quitte.

-u, --update
    N'ajoute que les fichiers plus récents que ceux de même nom déjà présents dans l'archive.

-x, --extract, --get
    Extrait les fichiers d'une archive.

AUTRES OPÉRATIONS
Modificateurs d'opération :

-[0-7][lmh]
    Précise le lecteur et la densité.

-a, --auto-compress
    Utilise le suffixe de l'archive pour déterminer le logiciel de compression.

--acls
    Activer la prise en charge des ACL POSIX.

--no-acls
    Désactiver la prise en charge des ACL POSIX.

--add-file=FICHIER
    Ajoute le FICHIER précisé à l'archive (utile si son nom commence par un tiret).

--anchored
    Les motifs de recherche correspondent au début du nom de fichier.

--no-anchored
    Les motifs de recherche correspondent après n'importe quel « / » (comportement par défaut pour les exclusions).

--atime-preserve[=MÉTHODE]
    Conserve la date d'accès des fichiers archivés, soit en la restaurant après lecture (MÉTHODE = « replace » par défaut), soit en ne définissant pas les dates initialement (MÉTHODE = « system »).

--no-auto-compress
    N'utilise pas le suffixe de l'archive pour déterminer le logiciel de compression.

-b, --blocking-factor BLOCS
    Utilise BLOCS x 512 octets par enregistrement.

-B, --read-full-records
    Reconstitue des blocs valides (pour les tuyaux (pipes) BSD 4.2).

--backup[=CONTRÔLE]
    Sauvegarde une copie avant suppression, choisit le CONTRÔLE de version.

-C, --directory DOSSIER
    Exécute la commande à partir du répertoire DOSSIER.

--check-device
    Vérifie les numéros de périphérique lors de la création d'archives incrémentielles (comportement par défaut).

--no-check-device
    Ne vérifie pas les numéros de périphérique lors de la création d'archives incrémentielles.

--checkpoint[=NOMBRE]
    Affiche des messages de progression tous les NOMBRE enregistrements (10 par défaut).

--checkpoint-action=ACTION
    Exécute ACTION à chaque point de vérification.

--delay-directory-restore
    Reporte à la fin de l'extraction le changement des dates de modification et des permissions des répertoires extraits.

--no-delay-directory-restore
    Annule l'effet de l'option --delay-directory-restore.

--exclude=MOTIF
    Exclut du traitement les fichiers qui correspondent au MOTIF.

--exclude-backups
    Exclut du traitement les fichiers de verrouillage et de sauvegarde.

--exclude-caches
    Exclut le contenu des répertoires contenant CACHEDIR.TAG, sauf le fichier d'étiquette lui-même.

--exclude-caches-all
    Exclut du traitement les dossiers contenant CACHEDIR.TAG.

--exclude-caches-under
    Exclut du traitement tout le contenu des dossiers contenant CACHEDIR.TAG.

--exclude-tag=FICHIER
    Exclut le contenu des répertoires contenant le FICHIER, sauf le FICHIER lui-même.

--exclude-tag-all=FICHIER
    Exclut du traitement les dossiers contenant FICHIER.

--exclude-tag-under=FICHIER
    Exclut du traitement tout le contenu des dossiers contenant FICHIER.

--exclude-vcs
    Exclut du traitement les dossiers utilisés par les systèmes de gestion de versions.

-f, --file ARCHIVE
    Utilise le fichier d'archive ou le périphérique ARCHIVE.

-F, --info-script, --new-volume-script NOM
    Exécute un script à la fin de chaque bande (implique l'option -M).

--force-local
    Impose que le fichier d'archive soit sur le système de fichiers local même si le nom contient un signe deux-points.

--full-time
    Affiche la date des fichiers avec le maximum de précision.

-g, --listed-incremental FICHIER
    Gère les sauvegardes incrémentielles dans le nouveau format GNU.

-G, --incremental
    Gère les sauvegardes incrémentielles dans l'ancien format GNU.

--group=NOM
    Force NOM comme groupe pour les fichiers ajoutés.

-h, --dereference
    Suit les liens symboliques ; sauvegarde et restaure les fichiers pointés.

-H, --format FORMAT
    Créer une archive du format précisé. FORMAT est l'une des possibilités suivantes :

    --format=gnu
        format GNU tar 1.13.x ;

    --format=oldgnu
        format GNU pour les versions de tar <= 1.12 ;

    --format=pax
        format POSIX 1003.1-2001 (pax) ;

    --format=posix
        identique à pax ;

    --format=ustar
        format POSIX 1003.1-1988 (ustar) ;

    --format=v7
        ancien format tar V7.

--hard-dereference
    Suit les liens matériels ; sauvegarde et restaure les fichiers pointés.

-i, --ignore-zeros
    Ignore, dans l'archive, les blocs de zéros (correspondant à des fins de fichier (« EOF »)).

-I, --use-compress-program PROG
    Traite l'archive avec le programme PROG (qui doit accepter l'option -d pour la décompresser).

--ignore-case
    Ignore la casse.

--no-ignore-case
    Tenir compte de la casse dans les recherches (comportement par défaut).

--ignore-command-error
    Ignore les codes de retour des fils.

--no-ignore-command-error
    Considère les codes de sortie non nuls des fils comme des erreurs.

--ignore-failed-read
    N'arrête pas l'exécution en renvoyant un code de retour non nul si des fichiers sont illisibles.

--index-file=FICHIER
    Écrire une sortie détaillée dans FICHIER.

-j, --bzip2

-J, --xz

-k, --keep-old-files
    Ne remplace pas les fichiers existants lors de l'extraction, les traite comme des erreurs.

-K, --starting-file NOM-DU-MEMBRE
    Commence à partir du membre NOM-DU-MEMBRE lors de la lecture de l'archive.

--keep-directory-symlink
    Préserver les liens symboliques existants vers des dossiers lors de l'extraction.

--keep-newer-files
    Ne remplace pas les fichiers existants si leur version est plus récente que leur copie dans l'archive.

-l, --check-links
    Afficher un message si l'ensemble des liens n'a pas pu être exploré.

-L, --tape-length NOMBRE
    Change la bande (cassette, disquette, support) après avoir écrit NOMBRE x 1024 octets.

--level=NOMBRE
    Affiche le niveau lors de la création d'une archive incrémentielle listée.

--lzip

--lzma

--lzop

-m, --touch
    Ne restaure pas la date de modification du fichier extrait.

-M, --multi-volume
    Crée, liste ou extrait les archives multi-volumes.

--mode=CHANGEMENTS
    Force (symboliquement) les droits CHANGEMENTS pour les fichiers ajoutés.

--mtime=DATE-OU-FICHIER
    Définit la date de modification pour les fichiers ajoutés à partir de DATE-OU-FICHIER.

-n, --seek
    Active le positionnement dans l'archive.

-N, --newer, --after-date DATE-OU-FICHIER
    Ne sauvegarde que les fichiers plus récents que DATE-OU-FICHIER.

--newer-mtime=DATE
    Ne compare la date et l'heure que pour les données modifiées.

--null
    -T lit les noms terminés par un caractère nul, désactive -C.

--no-null
    Désactive l'effet de l'option précédente --null.

--numeric-owner
    Utilise systématiquement des nombres pour les noms d'utilisateur ou de groupe.

-O, --to-stdout
    Extrait les fichiers vers la sortie standard.

--occurrence[=NOMBRE]
    Traite seulement la NOMBREième occurrence de chaque fichier dans l'archive ; cette option n'est valable qu'accompagnée de l'une des sous-commandes --delete, --diff, --extract ou --list et lorsqu'une liste de fichiers est fournie soit sur la ligne de commande, soit avec l'option -T. NOMBRE vaut 1 par défaut.

--old-archive, --portability
    Identique à --format=v7.

--one-file-system
    Se limite au système de fichiers local lors de la création de l'archive.

--overwrite
    Écrase les fichiers existants lors de l'extraction.

--overwrite-dir
    Écrase les méta-données des dossiers existants lors de l'extraction (comportement par défaut).

--no-overwrite-dir
    Préserve les méta-données des dossiers existants.

--owner=NOM
    Force l'affectation des fichiers ajoutés à NOM.

-p, --preserve-permissions, --same-permissions
    Extrait les informations sur les permissions de fichiers (comportement par défaut pour le superutilisateur).

-P, --absolute-names
    N'enlève pas les « / » des noms de fichiers.

--pax-option=clé[[:]=valeur][,clé[[:]=valeur]]...
    Contrôle les mots clés pax.

--posix
    Identique à --format=posix.

--preserve
    Identique à -p et -s à la fois.

--quote-chars=CHAÎNE
    Protège les caractères de CHAÎNE.

--no-quote-chars=CHAÎNE
    Arrête de protéger les caractères de CHAÎNE.

--quoting-style=STYLE
    Définit le style de commentaire ; voir ci-dessous pour la liste des valeurs de STYLE.

-R, --block-number
    Ajoute, à chaque message, le numéro de bloc au sein de l'archive.

--record-size=NOMBRE
    NOMBRE d'octets (multiple de 512) par enregistrement.

--recursion
    Explore récursivement les sous-répertoires (comportement par défaut).

--no-recursion
    Empêche le parcours automatique des sous-répertoires.

--recursive-unlink
    Vide la hiérarchie de répertoires avant d'extraire un dossier.

--remove-files
    Supprime les fichiers après les avoir sauvegardés dans l'archive.

--restrict
    Désactive l'utilisation d'options potentiellement dommageables.

--rmt-command=COMMANDE
    Utilise la COMMANDE rmt donnée au lieu de rmt.

--rsh-command=COMMANDE
    Utilise la COMMANDE distante au lieu de rsh.

-s, --preserve-order, --same-order
    Les membres sont listés dans le même ordre que les fichiers dans l'archive.

-S, --sparse
    Traite efficacement les fichiers discontinus.

--same-owner
    Essaie d'attribuer aux fichiers extraits les propriétaires sauvegardés dans l'archive (comportement par défaut pour le superutilisateur).

--no-same-owner
    Attribue les fichiers extraits à l'utilisateur effectif (comportement par défaut pour un utilisateur ordinaire).

--no-same-permissions
    Applique le masque de droits de l'utilisateur aux fichiers extraits (comportement par défaut pour un utilisateur ordinaire).

--no-seek
    Désactive le positionnement dans l'archive.

--selinux
    Activer la prise en charge du contexte SELinux.

--no-selinux
    Désactiver la prise en charge du contexte SELinux.

--show-defaults
    Affiche les options par défaut de tar.

--show-omitted-dirs
    Liste chaque dossier qui ne correspond pas au critère de recherche lors de l'exploration ou de l'extraction de l'archive.

--show-snapshot-field-ranges
    Afficher les plages valides des champs de fichiers d'instantanés.

--show-transformed-names, --show-stored-names
    Affiche le nom des fichiers ou des archives après transformation.

--skip-old-files
    Ne remplace pas les fichiers existants lors de l'extraction. Ils sont omis silencieusement.

--sparse-version=MAJEUR[.MINEUR]
    Définit la version du format de fichier discontinu à utiliser (implique --sparse).

--strip-components=NOMBRE
    Enlève NOMBRE niveaux de hiérarchie des noms de fichiers lors de l'extraction.

--suffix=CHAÎNE
    Sauvegarde avant suppression, en ajoutant le suffixe habituel (« ~ » à moins qu'il n'ait été modifié à l'aide de la variable d'environnement SIMPLE_BACKUP_SUFFIX).

-T, --files-from FICHIER
    Obtient la liste des fichiers à extraire ou à créer depuis FICHIER.

--to-command=COMMANDE
    Canalise les fichiers extraits vers un autre programme.

--totals[=SIGNAL]
    Affiche le nombre total d'octets après traitement de l'archive. Avec un argument, affiche ce nombre si le SIGNAL est émis. Les signaux permis sont : SIGHUP, SIGQUIT, SIGINT, SIGUSR1 et SIGUSR2. Les noms sans le préfixe « SIG » sont aussi acceptés.

--transform, --xform EXPRESSION
    Utilise « sed replace EXPRESSION » pour transformer les noms de fichier.

-U, --unlink-first
    Supprime chaque fichier avant d'extraire par-dessus.

--unquote
    Décommente les noms de fichier lus avec -T (comportement par défaut).

--no-unquote
    Ne décommente pas les noms de fichier lus avec -T.

--utc
    Affiche les dates de modification des fichiers à l'heure universelle (UTC).

-v, --verbose
    Affiche la liste détaillée des fichiers traités. NdT : le doublement de cette option (-vv) produit un affichage encore plus détaillé.

-V, --label TEXTE
    Crée une archive avec comme nom de volume TEXTE ; lors de l'exploration ou de l'extraction, utilise TEXTE comme motif global pour le nom de volume.

--volno-file=FICHIER
    Utilise ou met à jour le numéro de volume dans FICHIER.

-w, --interactive, --confirmation
    Demande une confirmation pour chaque action.

-W, --verify
    Tente de vérifier l'archive après l'avoir écrite.

--warning=NOM
    Contrôle d'avertissement.

--wildcards
    Utilise les caractères de substitution (comportement par défaut pour les exclusions).

--wildcards-match-slash
    Permet aux caractères de substitution de remplacer des « / » (comportement par défaut pour les exclusions).

--no-wildcards-match-slash
    Ne permet pas aux caractères de substitution de remplacer des « / ».

--no-wildcards
    Recherche textuelle des chaînes.

-X, --exclude-from FICHIER
    Motifs d'exclusion listés dans FICHIER.

--xattrs
    Activer la prise en charge des attributs étendus.

--xattrs-exclude=MASQUE
    Préciser le motif d'exclusion pour les clés xattr.

--xattrs-include=MASQUE
    Préciser le motif d'inclusion pour les clés xattr.

--no-xattrs
    Désactiver la prise en charge des attributs étendus.

-z, --gzip, --gunzip --ungzip

-Z, --compress, --uncompress

ENVIRONNEMENT
Le comportement de tar est contrôlé par les variables d'environnement suivantes, entre autres :

TAR_LONGLINK_100

PRISTINE_TAR_COMPAT

SIMPLE_BACKUP_SUFFIX
    Préfixe de sauvegarde à utiliser lors de l'extraction si --suffix n'est pas précisé. Le suffixe de sauvegarde par défaut est « ~ » si aucun préfixe ou suffixe n'est spécifié.

TAR_OPTIONS
    Options séparées par des espaces à ajouter avant celles indiquées dans la ligne de commande. Les barres obliques inversées (« backslash ») peuvent être utilisées pour protéger des espaces ou d'autres barres obliques inversées au sein d'une option particulière.

TAPE
    Périphérique ou fichier à utiliser pour l'archive si l'option --file n'est pas utilisée. Si cette variable d'environnement n'est pas spécifiée, stdin et stdout sont utilisés à la place.

EXEMPLES
Crée l'archive.tar à partir des fichiers truc et bidule.
    tar -cf archive.tar truc bidule

Affiche la liste détaillée des fichiers de archive.tar.
    tar -tvf archive.tar

Extrait tous les fichiers contenus dans archive.tar.
    tar -xf archive.tar

VOIR AUSSI
tar(5), symlink(7), rmt(8)

HISTORIQUE
La commande tar apparaît dans AT&T UNIX.

BOGUES
Généralement, les gens du projet GNU détestent écrire des pages de manuel et créent à la place des documents « info ». Malheureusement le document « info » qui décrit tar est sous licence GFDL et comporte des parties non modifiables, ce qui rend impossible d'inclure tout texte de ce document dans cette page de manuel. La majeure partie du texte de ce document a été extraite automatiquement des messages d'utilisation à partir du code source. Il peut ne pas décrire complètement toutes les fonctionnalités du programme.

TRADUCTION
Cette page de manuel a été traduite par Jérome Signouret en 2000 et mise à jour par Christophe Blaess en 2003. Elle a également été relue par Gérard Delafond. Elle a ensuite été maintenue par Valéry Perrin <valery.perrin.debian@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, et Florentin Duneau <fduneau@gmail.com>.

Elle est dorénavant maintenue par Thomas Blein <tblein@tblein.eu> et les membres de la liste <debian-l10n-french@lists.debian.org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.